%define upstream_name    MooseX-App
%define upstream_version 1.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Meta class role for command classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.440.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
MooseX-App is a highly customisable helper to write user-friendly command
line applications without having to worry about most of the annoying things
usually involved. Just take any existing the Moose manpage class, add a
single line ('use MooseX-App qw(PluginA PluginB ...);') and create one
class for each command in an underlying namespace. Options and positional
parameters can be defined as simple the Moose manpage accessors.

MooseX-App will then

* * Find, load and initialise the command classes (see the
  MooseX-App-Simple manpage
  for single command applications)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.430.0-2.mga10
+ Revision: 2219885
- Mageia 10 Mass Rebuild

* Sat Oct 28 2023 tv <tv> 1.430.0-1.mga10
+ Revision: 2002503
- update to 1.43

* Mon Mar 21 2022 umeabot <umeabot> 1.420.0-2.mga9
+ Revision: 1814896
- Mageia 9 Mass Rebuild
+ tv <tv>
- Patch to make "Config::Any" mandatory so that "magpie fix" stops removing it

* Mon Aug 16 2021 tv <tv> 1.420.0-1.mga9
+ Revision: 1741712
- Restore BR on perl(Config::Any) (we should patch Makefile.PL for magpie...)
- update to 1.42

* Mon Jan 04 2021 tv <tv> 1.410.0-3.mga8
+ Revision: 1668739
- fix test with Moose-2.201.400

* Sat Feb 15 2020 umeabot <umeabot> 1.410.0-2.mga8
+ Revision: 1526812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Jun 30 2019 tv <tv> 1.410.0-1.mga8
+ Revision: 1416433
- update to 1.41

* Thu Sep 20 2018 umeabot <umeabot> 1.390.0-3.mga7
+ Revision: 1285021
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.390.0-2.mga7
+ Revision: 1165577
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.390.0-1.mga7
+ Revision: 1159481
- update to 1.39

* Tue Sep 12 2017 tv <tv> 1.380.0-1.mga7
+ Revision: 1153287
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.350.0-2.mga6
+ Revision: 1030323
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.350.0-1.mga6
+ Revision: 1002170
- update to 1.35

* Thu Feb 18 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 966366
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.330.0-1.mga6
+ Revision: 843671
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-2.mga5
+ Revision: 739207
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.300.0-1.mga5
+ Revision: 725845
- imported package perl-MooseX-App


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 1.300.0-1.mga5
- intial release
